Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::FormatPostingsTermsWriter Class Reference

`#include <FormatPostingsTermsWriter.h>`

Inheritance diagram for Lucene::FormatPostingsTermsWriter:

## Public Member Functions

| FormatPostingsTermsWriter (SegmentWriteStatePtr state, FormatPostingsFieldsWriterPtr parent)
virtual | ~FormatPostingsTermsWriter ()
virtual String | getClassName ()
boost::shared_ptr < FormatPostingsTermsWriter > | shared_from_this ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
void | setField (FieldInfoPtr fieldInfo)
virtual FormatPostingsDocsConsumerPtr | addTerm (CharArray text, int32_t start)
| Adds a new term in this field. More...
virtual void | finish ()
| Called when we are done adding terms to this field. More...
void | close ()
Public Member Functions inherited from Lucene::FormatPostingsTermsConsumer
virtual | ~FormatPostingsTermsConsumer ()
boost::shared_ptr < FormatPostingsTermsConsumer > | shared_from_this ()
virtual FormatPostingsDocsConsumerPtr | addTerm (const String &text)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::FormatPostingsTermsConsumer
static String | _getClassName ()

## Data Fields

FormatPostingsFieldsWriterWeakPtr | _parent
SegmentWriteStatePtr | state
FormatPostingsDocsWriterPtr | docsWriter
TermInfosWriterPtr | termsOut
FieldInfoPtr | fieldInfo
CharArray | currentTerm
int32_t | currentTermStart
int64_t | freqStart
int64_t | proxStart
Data Fields inherited from Lucene::FormatPostingsTermsConsumer
CharArray | termBuffer

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

Lucene::FormatPostingsTermsWriter::FormatPostingsTermsWriter | ( | SegmentWriteStatePtr | state,
|  | FormatPostingsFieldsWriterPtr | parent
| ) |  |

virtual Lucene::FormatPostingsTermsWriter::~FormatPostingsTermsWriter | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::FormatPostingsTermsWriter::_getClassName | ( | ) |  |

inline static

virtual FormatPostingsDocsConsumerPtr Lucene::FormatPostingsTermsWriter::addTerm | ( | CharArray | text,
|  | int32_t | start
| ) |  |

virtual

Adds a new term in this field.

Implements Lucene::FormatPostingsTermsConsumer.

void Lucene::FormatPostingsTermsWriter::close | ( | ) |  |

virtual void Lucene::FormatPostingsTermsWriter::finish | ( | ) |  |

virtual

Called when we are done adding terms to this field.

Implements Lucene::FormatPostingsTermsConsumer.

virtual String Lucene::FormatPostingsTermsWriter::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::FormatPostingsTermsConsumer.

virtual void Lucene::FormatPostingsTermsWriter::initialize | ( | ) |  |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented from Lucene::LuceneObject.

void Lucene::FormatPostingsTermsWriter::setField | ( | FieldInfoPtr | fieldInfo) |  |

boost::shared_ptr< FormatPostingsTermsWriter > Lucene::FormatPostingsTermsWriter::shared_from_this | ( | ) |  |

inline

## Field Documentation

FormatPostingsFieldsWriterWeakPtr Lucene::FormatPostingsTermsWriter::_parent

CharArray Lucene::FormatPostingsTermsWriter::currentTerm

int32_t Lucene::FormatPostingsTermsWriter::currentTermStart

FormatPostingsDocsWriterPtr Lucene::FormatPostingsTermsWriter::docsWriter

FieldInfoPtr Lucene::FormatPostingsTermsWriter::fieldInfo

int64_t Lucene::FormatPostingsTermsWriter::freqStart

int64_t Lucene::FormatPostingsTermsWriter::proxStart

SegmentWriteStatePtr Lucene::FormatPostingsTermsWriter::state

TermInfosWriterPtr Lucene::FormatPostingsTermsWriter::termsOut

The documentation for this class was generated from the following file:

- FormatPostingsTermsWriter.h

clucene.sourceforge.net